| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTC_reciprocal
Stable extensions

Include <glm/gtc/reciprocal.hpp> to use the features of this extension. More...

## Functions
template<typename genType >
GLM_FUNC_DECL genType | acot (genType x)
| Inverse cotangent function. More...
template<typename genType >
GLM_FUNC_DECL genType | acoth (genType x)
| Inverse cotangent hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | acsc (genType x)
| Inverse cosecant function. More...
template<typename genType >
GLM_FUNC_DECL genType | acsch (genType x)
| Inverse cosecant hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | asec (genType x)
| Inverse secant function. More...
template<typename genType >
GLM_FUNC_DECL genType | asech (genType x)
| Inverse secant hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | cot (genType angle)
| Cotangent function. More...
template<typename genType >
GLM_FUNC_DECL genType | coth (genType angle)
| Cotangent hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | csc (genType angle)
| Cosecant function. More...
template<typename genType >
GLM_FUNC_DECL genType | csch (genType angle)
| Cosecant hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | sec (genType angle)
| Secant function. More...
template<typename genType >
GLM_FUNC_DECL genType | sech (genType angle)
| Secant hyperbolic function. More...

## Detailed Description

Include <glm/gtc/reciprocal.hpp> to use the features of this extension.

Define secant, cosecant and cotangent functions.

## Function Documentation

GLM_FUNC_DECL genType glm::acot | ( | genType | x | ) |

Inverse cotangent function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::acoth | ( | genType | x | ) |

Inverse cotangent hyperbolic function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::acsc | ( | genType | x | ) |

Inverse cosecant function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::acsch | ( | genType | x | ) |

Inverse cosecant hyperbolic function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::asec | ( | genType | x | ) |

Inverse secant function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::asech | ( | genType | x | ) |

Inverse secant hyperbolic function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::cot | ( | genType | angle | ) |

Cotangent function.

adjacent / opposite or 1 / tan(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::coth | ( | genType | angle | ) |

Cotangent hyperbolic function.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::csc | ( | genType | angle | ) |

Cosecant function.

hypotenuse / opposite or 1 / sin(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::csch | ( | genType | angle | ) |

Cosecant hyperbolic function.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::sec | ( | genType | angle | ) |

Secant function.

hypotenuse / adjacent or 1 / cos(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::sech | ( | genType | angle | ) |

Secant hyperbolic function.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_GTC_reciprocal